<h3>{{dialogTitle}}</h3>
<mat-divider></mat-divider>



<form [formGroup]="scheduleStForm" class="form">

  <p>
    <mat-form-field appearance="outline">
      <mat-label>Nombre</mat-label>
      <input matInput required formControlName="name">
      <mat-error>El nombre es requerido</mat-error>

    </mat-form-field>
  </p>

  <p class="input-color">

    <mat-form-field appearance="outline">
      <mat-label>Color</mat-label>
      <input matInput required readonly formControlName="color" />
      <mat-error>El color es requerido</mat-error>
    </mat-form-field>

    <span class="colorpicker" [(colorPicker)]="statusColor" (colorPickerChange)="onSelectColor($event)"
      [cpAlphaChannel]="'disabled'" [cpOKButton]="true" [ngStyle]="{'background-color':statusColor ?statusColor:'#eaeaea'}">
    </span>
  </p>



  <button mat-button mat-raised-button color="primary" [disabled]="!scheduleStForm.valid" (click)="onSubmit()">
    <mat-icon>save</mat-icon>
    Guardar
  </button>
</form>
